package individual.BS;

import task.ant.extended.Ant;
import task.ant.extended.ExtendedAnt;
import task.ant.extended.ExtendedAntTask;

public class BSAutomatonMover implements ExtendedAntTask.Mover {

    private final double mu;
    public final BSAutomaton automaton;
    private ExtendedAnt ant;

    public boolean move() {
        return automaton.move(ant);
    }

    public void restart(Ant ant) {
        this.ant = (ExtendedAnt) ant;
    }

    public BSAutomatonMover(BSAutomaton automaton, double mu) {
        this.mu = mu;
        this.automaton = automaton;
    }

    public double getMu() {
        return mu;
    }
}